%global momorel 2

Name:           perl-Email-Valid
Version:        0.184
Release:        %{momorel}m%{?dist}
Summary:        Check validity of Internet email addresses
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Email-Valid/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-Valid-%{version}.tar.gz 
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-MailTools
BuildRequires:  perl-Net-DNS
Requires:       perl-MailTools
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain.

%prep
%setup -q -n Email-Valid-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Email/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.184-2m)
- full rebuild for mo7 release

* Wed Jun 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.184-1m)
- update to 0.184

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.182-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.182-1m)
- update to 0.182

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.181-2m)
- rebuild against perl-5.10.1

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.181-1m)
- update to 0.181

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.180-1m)
- update to 0.180

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.179-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.179-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.179-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.179-2m)
- use vendor

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.179-1m)
- update to 0.179

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.176-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
